org.apache.ode.bpel.pmapi

## Class ProcessInfoCustomizer

- java.lang.Object
- - org.apache.ode.bpel.pmapi.ProcessInfoCustomizer

-     public class ProcessInfoCustomizer
      extends java.lang.Object

  Used to customize the response document provided by most methods returning process info.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ProcessInfoCustomizer.Item`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ProcessInfoCustomizer` | `ALL`
    `static ProcessInfoCustomizer` | `NONE`
    `static ProcessInfoCustomizer` | `SUMMARYONLY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProcessInfoCustomizer(ProcessInfoCustomizer.Item... items)`
    `ProcessInfoCustomizer(java.lang.String value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `includeDocumentLists()`
    `boolean` | `includeEndpoints()`
    `boolean` | `includeInstanceSummary()`
    `boolean` | `includeProcessProperties()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ALL

          public static final ProcessInfoCustomizer ALL

    - #### SUMMARYONLY

          public static final ProcessInfoCustomizer SUMMARYONLY

    - #### NONE

          public static final ProcessInfoCustomizer NONE

  - ### Constructor Detail

    - #### ProcessInfoCustomizer

          public ProcessInfoCustomizer(java.lang.String value)

    - #### ProcessInfoCustomizer

          public ProcessInfoCustomizer(ProcessInfoCustomizer.Item... items)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### includeInstanceSummary

          public boolean includeInstanceSummary()

    - #### includeDocumentLists

          public boolean includeDocumentLists()

    - #### includeProcessProperties

          public boolean includeProcessProperties()

    - #### includeEndpoints

          public boolean includeEndpoints()